boxioo Developers

Champs

Ajouter ou supprimer des champs sur un objet personnalisé.

POST
/v1/objects/{apiName}/fields
/v1/objects/{apiName}/fields

The Authorization access token

Authorization

Authorization<token>

Envoyez ApiKey bk_live_... (préfixe littéral ApiKey obligatoire).

In: header

Request Body

application/jsonRequired

namestring

Example: "Téléphone"Maximum length: 120

systemNamestring

Example: "phone"Maximum length: 120

descriptionstring

Maximum length: 500

typestring

FILE / IMAGE / OUTLINE / RELATION non supportés à la création via l'API publique.

Value in: "STRING" | "TEXTAREA" | "NUMBER" | "DECIMAL" | "BOOLEAN" | "DATE" | "TIME" | "SELECT" | "USER"

isRequiredboolean

isUniqueboolean

isMultipleboolean

isEditableboolean

defaultValuestring

validationRegexstring

Pattern nu (sans /). Ex. ^\+?[0-9]{6,15}$.

maxLengthinteger

minLengthinteger

minValuenumber

maxValuenumber

optionsarray<object>

Obligatoire pour les champs SELECT.

Path Parameters

apiNamestring

Nom système de l'objet (ex. contact).

curl -X POST "https://api.boxioo.com/v1/objects/string/fields" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Téléphone",
    "systemName": "phone",
    "type": "STRING",
    "maxLength": 20
  }'

Champ créé.

{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "systemName": "first_name",
  "name": "Prénom",
  "description": "string",
  "type": "STRING",
  "isRequired": true,
  "isUnique": true,
  "isMultiple": true,
  "isEditable": true,
  "isSystemField": true,
  "position": 0,
  "defaultValue": "string",
  "options": [
    {
      "id": "string",
      "value": "string"
    }
  ]
}

DELETE
/v1/objects/{apiName}/fields/{fieldId}
/v1/objects/{apiName}/fields/{fieldId}

The Authorization access token

Authorization

Authorization<token>

Envoyez ApiKey bk_live_... (préfixe littéral ApiKey obligatoire).

In: header

Path Parameters

apiNamestring

Nom système de l'objet (ex. contact).

fieldIdstring

Format: "uuid"
curl -X DELETE "https://api.boxioo.com/v1/objects/string/fields/497f6eca-6276-4993-bfeb-53cbbbba6f08"

Supprimé, pas de contenu.